# Uses of Class
org.eclipse.birt.report.model.api.DimensionConditionHandle

Packages that use DimensionConditionHandle
Package
Description
org.eclipse.birt.report.model.api.olap

## Uses of DimensionConditionHandle in org.eclipse.birt.report.model.api.olap

Methods in org.eclipse.birt.report.model.api.olap that return DimensionConditionHandle
Modifier and Type
Method
Description
`DimensionConditionHandle`
TabularCubeHandle.`addDimensionCondition(DimensionCondition condition)`
Adds a dimension condition to this cube.
`DimensionConditionHandle`
TabularCubeHandle.`addDimensionCondition(DimensionCondition condition, int posn)`
Adds a dimension condition to the specified position.
`DimensionConditionHandle`
TabularCubeHandle.`findDimensionCondition(String hierarchyName)`
Finds the dimension condition defined for the hierarchy element with the specified name.
`DimensionConditionHandle`
TabularCubeHandle.`findDimensionCondition(HierarchyHandle hierarchy)`
Finds the dimension condition defined for the given hierarchy element.
Methods in org.eclipse.birt.report.model.api.olap with parameters of type DimensionConditionHandle
Modifier and Type
Method
Description
`void`
TabularCubeHandle.`removeDimensionCondition(DimensionConditionHandle conditionHandle)`